body {
    display: flex;
    background: #030303;
    min-height: 100vh;
    margin: 0;
    font-family: 'Courier New', Courier, monospace;
}

h1 {
    position: absolute;
    top: 1vh;
    color: #00ffff;
    text-align: center;
    width: 100vw;
    font-weight: normal;
}

main {
    position: relative;
    margin: auto;
    width: 400px;
    height: 400px;
    border: 0;
    padding: 0;
}

canvas {
    width: 100%;
    height: 100%;
    margin: auto;
    display: block;
    border: 2px solid blue;
    /* border-radius: 200px; */
}

#toc {
    position: fixed;
    right: 2vw;
    top: 2vh;
    color: #ffff80;
    list-style: none;
    font-size: xx-large;
    line-height: 150%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    max-height: 75vh;
    padding: 1em;
}

#toc li {
    cursor: pointer;
    margin-right: 1em;
}

#toc li:hover {
    font-weight: bold;
}

.current {
    color: #aaa;
}

footer {
    position: fixed;
    right: 2vw;
    bottom: 2vh;
    color: #00ffff;
    text-align: center;
}

footer a {
    color: inherit;
    text-decoration: none;
}
